#include <iostream>

using namespace std;

int main(void) {
	int x = 1024;
	
	bool isPowerOfTwo = x && !(x & (x - 1));
	
	if (isPowerOfTwo) {
		cout << "true" << endl;
	} else {
		cout << "false" << endl;
	}
	
	return 0;
}